<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!--
Dataset Structure

REQUIREMENTS

Projet1
	Folder1(-1)
		Requirement11(-11) -> Version11(-11)
		Requirement21(-21) -> Version21(-21)
		Requirement31(-31) -> Version31(-31)
		Requirement41(-41) -> Version41(-41), Version42(-42)
		Requirement51(-51) -> Version51(-51)
		Requirement61(-61) -> Version61(-61)
		Requirement71(-71) -> Version71(-71)
		Requirement81(-81) -> Version81(-81), Version82(-82), Version83(-83)
		Requirement91(-91) -> Version91(-91)
		Requirement101(-101) -> Version101(-101)
	Folder2(-2)
		Requirement111(-111) -> Version111(-111)
		Requirement121(-121) -> Version121(-121)
		Requirement131(-131) -> Version131(-131)
			Requirement1311(-1311) -> Version1311(-1311)
			Requirement1321(-1321) -> Version1321(-1321)
		Requirement141(-141) -> Version141(-141)
	Requirement151(-151) -> Version151(-151)

TEST CASES

Projet 1
TC1(-11)
	DataSet1(-11)
	DataSet2(-21)
TC2(-21)
TC3(-31)
...
TC14(-141)
	DataSet3(-31)
TC15(-151)
-->

<!DOCTYPE dataset SYSTEM "../../../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1"/>
  <REQUIREMENT_LIBRARY RL_ID="-1" ATTACHMENT_LIST_ID="-1"/>
  <TEST_CASE_LIBRARY TCL_ID="-1" ATTACHMENT_LIST_ID="-1"/>
  <PROJECT CREATED_BY="me" NAME="Project1" PROJECT_ID="-1" ATTACHMENT_LIST_ID="-1" CREATED_ON="2016-08-29" RL_ID="-1" TCL_ID="-1"/>


  <REQUIREMENT_LIBRARY_NODE CREATED_BY="me" CREATED_ON="2016-08-29" RLN_ID="-11"  PROJECT_ID="-1"/>
  <RESOURCE CREATED_BY="me" RES_ID="-11" CREATED_ON="2016-08-29" ATTACHMENT_LIST_ID="-1" NAME="Requirement1" DESCRIPTION="Une Description."/>
  <REQUIREMENT_VERSION RES_ID="-11" CRITICALITY="CRITICAL" REQUIREMENT_STATUS="WORK_IN_PROGRESS"/>
  <REQUIREMENT RLN_ID="-11" CURRENT_VERSION_ID="-11"/>
  <REQUIREMENT_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-11" CONTENT_ORDER="0"/>

  <RESOURCE CREATED_BY="me" RES_ID="-21" CREATED_ON="2016-08-29" ATTACHMENT_LIST_ID="-1" NAME="Requirement2" DESCRIPTION="Une Description."/>
  <REQUIREMENT_VERSION RES_ID="-21" CRITICALITY="CRITICAL" REQUIREMENT_STATUS="UNDER_REVIEW"/>
  <REQUIREMENT_LIBRARY_NODE CREATED_BY="me" CREATED_ON="2016-08-29" RLN_ID="-21" PROJECT_ID="-1"/>
  <REQUIREMENT RLN_ID="-21" CURRENT_VERSION_ID="-21"/>
  <REQUIREMENT_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-21" CONTENT_ORDER="1"/>

  <RESOURCE CREATED_BY="me" RES_ID="-31" CREATED_ON="2016-08-29" ATTACHMENT_LIST_ID="-1" NAME="Requirement3" DESCRIPTION="Une Description."/>
  <REQUIREMENT_VERSION RES_ID="-31" CRITICALITY="CRITICAL" REQUIREMENT_STATUS="UNDER_REVIEW"/>
  <REQUIREMENT_LIBRARY_NODE CREATED_BY="me" CREATED_ON="2016-08-29" RLN_ID="-31" PROJECT_ID="-1"/>
  <REQUIREMENT RLN_ID="-31" CURRENT_VERSION_ID="-21"/>
  <REQUIREMENT_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-31" CONTENT_ORDER="2"/>

  <RESOURCE CREATED_BY="me" RES_ID="-41" CREATED_ON="2016-08-29" ATTACHMENT_LIST_ID="-1" NAME="Requirement4" DESCRIPTION="Une Description."/>
  <REQUIREMENT_VERSION RES_ID="-41" CRITICALITY="CRITICAL" REQUIREMENT_STATUS="UNDER_REVIEW"/>
  <REQUIREMENT_LIBRARY_NODE CREATED_BY="me" CREATED_ON="2016-08-29" RLN_ID="-41" PROJECT_ID="-1"/>
  <REQUIREMENT RLN_ID="-41" CURRENT_VERSION_ID="-41"/>
  <REQUIREMENT_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-41" CONTENT_ORDER="3"/>

  <RESOURCE CREATED_BY="me" RES_ID="-51" CREATED_ON="2016-08-29" ATTACHMENT_LIST_ID="-1" NAME="Requirement5" DESCRIPTION="Une Description."/>
  <REQUIREMENT_VERSION RES_ID="-51" CRITICALITY="CRITICAL" REQUIREMENT_STATUS="UNDER_REVIEW"/>
  <REQUIREMENT_LIBRARY_NODE CREATED_BY="me" CREATED_ON="2016-08-29" RLN_ID="-51" PROJECT_ID="-1"/>
  <REQUIREMENT RLN_ID="-51" CURRENT_VERSION_ID="-51"/>
  <REQUIREMENT_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-51" CONTENT_ORDER="4"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-11" CREATED_ON="2016-08-29" CREATED_BY="me" NAME="TestCase1" PROJECT_ID="-1"/>
  <TEST_CASE TCLN_ID="-11" PREREQUISITE="" TC_STATUS="APPROVED" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-21" CREATED_ON="2016-08-29" CREATED_BY="me" NAME="TestCase2" PROJECT_ID="-1"/>
  <TEST_CASE TCLN_ID="-21" PREREQUISITE="" TC_STATUS="APPROVED" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa2"/>
  <TEST_STEP TEST_STEP_ID="-1"/>
  <ACTION_TEST_STEP TEST_STEP_ID="-1" ACTION="do it !"/>
  <TEST_CASE_STEPS TEST_CASE_ID="-21" STEP_ID="-1" STEP_ORDER="0"/>
  <TEST_STEP TEST_STEP_ID="-2"/>
  <ACTION_TEST_STEP TEST_STEP_ID="-2" ACTION="do it !!"/>
  <TEST_CASE_STEPS TEST_CASE_ID="-21" STEP_ID="-2" STEP_ORDER="1"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-31" CREATED_ON="2016-08-29" CREATED_BY="me" NAME="TestCase3" PROJECT_ID="-1"/>
  <TEST_CASE TCLN_ID="-31" PREREQUISITE="" TC_STATUS="APPROVED" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa3"/>
  <TEST_STEP TEST_STEP_ID="-3"/>
  <CALL_TEST_STEP TEST_STEP_ID="-3" CALLED_TEST_CASE_ID="-41"/>
  <TEST_CASE_STEPS TEST_CASE_ID="-31" STEP_ID="-3" STEP_ORDER="0"/>
  <TEST_STEP TEST_STEP_ID="-5"/>
  <ACTION_TEST_STEP TEST_STEP_ID="-5" ACTION="do it !"/>
  <TEST_CASE_STEPS TEST_CASE_ID="-31" STEP_ID="-5" STEP_ORDER="1"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-41" CREATED_ON="2016-08-29" CREATED_BY="me" NAME="TestCase4" PROJECT_ID="-1"/>
  <TEST_CASE TCLN_ID="-41" PREREQUISITE="" TC_STATUS="APPROVED" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa4"/>
  <TEST_STEP TEST_STEP_ID="-4"/>
  <CALL_TEST_STEP TEST_STEP_ID="-4" CALLED_TEST_CASE_ID="-21"/>
  <TEST_CASE_STEPS TEST_CASE_ID="-41" STEP_ID="-4" STEP_ORDER="0"/>


  <REQUIREMENT_VERSION_COVERAGE REQUIREMENT_VERSION_COVERAGE_ID="-11" VERIFIED_REQ_VERSION_ID="-11" VERIFYING_TEST_CASE_ID="-11"/>

  <!--  COVERAGES FOR TC-21-->
  <REQUIREMENT_VERSION_COVERAGE REQUIREMENT_VERSION_COVERAGE_ID="-21" VERIFIED_REQ_VERSION_ID="-11" VERIFYING_TEST_CASE_ID="-21"/>
  <REQUIREMENT_VERSION_COVERAGE REQUIREMENT_VERSION_COVERAGE_ID="-211" VERIFIED_REQ_VERSION_ID="-21" VERIFYING_TEST_CASE_ID="-21"/>
  <VERIFYING_STEPS REQUIREMENT_VERSION_COVERAGE_ID="-211" TEST_STEP_ID="-1"/>
  <VERIFYING_STEPS REQUIREMENT_VERSION_COVERAGE_ID="-211" TEST_STEP_ID="-2"/>
  <REQUIREMENT_VERSION_COVERAGE REQUIREMENT_VERSION_COVERAGE_ID="-212" VERIFIED_REQ_VERSION_ID="-31" VERIFYING_TEST_CASE_ID="-21"/>
  <VERIFYING_STEPS REQUIREMENT_VERSION_COVERAGE_ID="-212" TEST_STEP_ID="-2"/>

  <!--  COVERAGES FOR TC-31-->
  <REQUIREMENT_VERSION_COVERAGE REQUIREMENT_VERSION_COVERAGE_ID="-31" VERIFIED_REQ_VERSION_ID="-11" VERIFYING_TEST_CASE_ID="-31"/>
  <REQUIREMENT_VERSION_COVERAGE REQUIREMENT_VERSION_COVERAGE_ID="-311" VERIFIED_REQ_VERSION_ID="-31" VERIFYING_TEST_CASE_ID="-31"/>
  <VERIFYING_STEPS REQUIREMENT_VERSION_COVERAGE_ID="-311" TEST_STEP_ID="-5"/>
  <REQUIREMENT_VERSION_COVERAGE REQUIREMENT_VERSION_COVERAGE_ID="-312" VERIFIED_REQ_VERSION_ID="-51" VERIFYING_TEST_CASE_ID="-31"/>

  <!--  COVERAGES FOR TC-41-->
  <REQUIREMENT_VERSION_COVERAGE REQUIREMENT_VERSION_COVERAGE_ID="-41" VERIFIED_REQ_VERSION_ID="-41" VERIFYING_TEST_CASE_ID="-41"/>

</dataset>
